www.cendio.com
Bug 5575 - Failed to rebuild glibc with make 4+
: Failed to rebuild glibc with make 4+
Status: CLOSED FIXED
: ThinLinc
Build system
: 4.3.0
: PC Unknown
: P2 Normal
: 4.6.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2015-06-23 14:31 by
Modified: 2016-04-01 11:15 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2015-06-23 14:31:13
Running repo/rebuild --no-repo on my FC22 produces:

  Reading spec files... done.
  Installing cendio-build-filesystem-i386 (1-1)
  Installing cendio-build-kernel-headers-i386 (2.6.34.1-1)
  Installing cendio-build-bootstrap-filesystem-i386 (1-1)
  Installing cendio-build-binutils-bootstrap-i386 (2.25-1)
  Installing cendio-build-gcc-prebootstrap-i386 (5.1.0-1)
  Building cendio-build-glibc-stage1-i386 (2.3.6-2)
  BUILD FAILURE. CHECK
/home/hean01/Development/cenbuild/repo/rpmbuild/build.log
  Cleaning up installed packages
  Removing cendio-build-kernel-headers-i386 (2.6.34.1-1)
  Removing cendio-build-gcc-prebootstrap-i386 (5.1.0-1)
  Removing cendio-build-binutils-bootstrap-i386 (2.25-1)
  Removing cendio-build-bootstrap-filesystem-i386 (1-1)
  Removing cendio-build-filesystem-i386 (1-1)

and the following failure in the log file:

  checking for pwd... /bin/pwd
  checking for i686-pc-linux-gnu-gcc... (cached) i686-pc-linux-gnu-gcc
  checking version of i686-pc-linux-gnu-gcc... 5.1.0, ok
  checking for gnumake... no
  checking for gmake... gmake
  checking version of gmake... 4.0, bad
  checking for gnumsgfmt... no
  checking for gmsgfmt... no
  checking for msgfmt... msgfmt
  checking version of msgfmt... 0.19.4, ok
  checking for makeinfo... missing
  checking version of missing... v. ?.??, bad
  checking for sed... sed
  checking version of sed... v. ?.??, bad
  checking for autoconf... autoconf
  checking whether autoconf works... yes
  configure: error:
  *** These critical programs are missing or too old: make
  *** Check the INSTALL file for required versions.
  error: Bad exit status from /var/tmp/rpm/rpm-tmp.0wU0Mf (%build)
------- Comment #2 From cendio 2016-03-07 12:49:16 -------
Fixed while working with bug #2776.
------- Comment #3 From cendio 2016-03-10 16:12:43 -------
Works fine - build stops without patch, build proceeds with patch applied.